extern char *cleaname();
extern void drive_basic_cells();
extern char drived_cell();
extern void  spi_addcapa();
extern void spi_addlocname();
extern losig_list *spi_addsigname();
extern   spi_triplet_list *spi_addtriplet();
extern   spi_triplet_list *spi_append2();
extern   char *spi_busname();
extern   char *spi_checkname();
extern   void spi_clear_hash();
extern   spi_triplet_list *spi_create_triplet();
extern   spi_drive_dic();
extern void  spi_drive_mod();
extern void  spi_drive_subckt();
extern  lofig_list *spi_findlofig();
extern  int spi_getcode();
extern  char *spi_getdicname();
extern  long spi_givearea();
extern  double spi_givefloat_capa();
extern  int spi_giveindex();
extern  long spi_givelong();
extern  losig_list *spi_givelosig();
extern  spi_init_hash();
extern  int spi_lit_line();
extern  int spi_lit_string();
extern  double spi_modpow();
extern  spi_triplet_list *spi_scan_list2();
extern  void spi_viewtrip();
extern void  spicesavelofig();
